Loading...
Searching...
No Matches
angle.h File Reference
`#include <BALL/COMMON/exception.h>`
`#include <BALL/COMMON/debug.h>`
`#include <BALL/COMMON/create.h>`
`#include <BALL/MATHS/common.h>`

Go to the source code of this file.

## Classes

class | BALL::TAngle< T >

## Namespaces

namespace | BALL

## Typedefs

typedef TAngle< float > | BALL::Angle

## Functions

template<typename T>
BALL_INLINE TAngle< T > | BALL::operator* (const T &val, const TAngle< T > &angle)
template<typename T>
BALL_INLINE TAngle< T > | BALL::operator+ (const T &val, const TAngle< T > &angle)
template<typename T>
BALL_INLINE TAngle< T > | BALL::operator- (const T &val, const TAngle< T > &angle)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TAngle< T > &angle)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TAngle< T > &angle)